Bug 217422 - Replace unqualified use of PlatformDisplayID in WebViewImpl
Summary: Replace unqualified use of PlatformDisplayID in WebViewImpl
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-10-06 20:33 PDT by Saagar Jha
Modified: 2020-10-08 00:58 PDT (History)
3 users (show)

See Also:


Attachments
Patch (2.39 KB, patch)
2020-10-06 20:43 PDT, Saagar Jha
no flags Details | Formatted Diff | Diff
Patch (2.35 KB, patch)
2020-10-07 11:33 PDT, Saagar Jha
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Saagar Jha 2020-10-06 20:33:02 PDT
Qualify PlatformDisplayID with WebCore:: in WebViewImpl
Comment 1 Saagar Jha 2020-10-06 20:43:40 PDT
Created attachment 410731 [details]
Patch
Comment 2 Darin Adler 2020-10-06 21:45:03 PDT
Comment on attachment 410731 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=410731&action=review

> Source/WebKit/UIProcess/Cocoa/WebViewImpl.mm:2201
> +    WebCore::PlatformDisplayID displayID = WebCore::displayID(window.screen);

I suggest we use auto here instead.
Comment 3 Saagar Jha 2020-10-07 11:33:21 PDT
Created attachment 410764 [details]
Patch
Comment 4 EWS 2020-10-08 00:57:38 PDT
Committed r268175: <https://trac.webkit.org/changeset/268175>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 410764 [details].
Comment 5 Radar WebKit Bug Importer 2020-10-08 00:58:16 PDT
<rdar://problem/70083747>